html
body
  width 100%
  margin 0
  padding 0

html
  margin 0
  padding 0
  -webkit-tap-highlight-color rgba($black, 0)

html
body
  height 100%

body
  position relative
  font-family $baseFont
  min-width 320px
  margin 0
  padding 0
  color $textColor
  background-color $secondary7
  font-size $baseFontSize
  line-height $baseLineHeight
  font-weight 400
  -webkit-text-size-adjust none
  text-rendering optimizeLegibility
  -webkit-font-smoothing antialiased
  -moz-osx-font-smoothing grayscale
  -ms-overflow-style scrollbar
  -webkit-overflow-scrolling touch
  display flex
  flex-direction column

  +fbp(xs)
    font-size 16px

  &.bg-light
    background-color $white

#__nuxt
#__layout
#app
.main
  height 100%
  display flex
  flex-direction column

.page__layout
  flex 1 0 auto
  display flex
  flex-direction column
  position relative
  overflow hidden

.footer
  flex-shrink 0

iframe
  border none !important

*
  box-sizing border-box
  &:before
    box-sizing border-box

$headings = 'h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6'

{selector($headings)}
  font-family $secondaryFont
  margin 0
  margin-bottom 0.833333em
  font-weight 500

h1, .h1
  font-size 48px
  line-height 1.333333
  letter-spacing -0.020833em

  +fbp(xs)
    font-size 32px

h2, .h2
  font-size 40px
  line-height 1.333333
  letter-spacing -0.020833em

  +fbp(xs)
    font-size 30px

h3, .h3
  font-size 32px
  line-height 1.5
  letter-spacing 0

  +fbp(xs)
    font-size 24px

h4, .h4
  font-size 28px
  line-height 1.5

  +fbp(xs)
    font-size 20px

h5, .h5
  font-weight 600
  font-size 20px
  line-height 1.2

  +fbp(xs)
    font-size 18px

h6, .h6
  font-weight 600
  font-size 16px
  line-height 1.2


.link
  cursor pointer

ul
ol
p
li
address
  margin 0
  padding 0
  list-style none

.table-scroll
  margin 20px 0
  overflow auto

.html-block
  color $secondary2

  ul
  ol
  p
  address
    margin 0 0 1.222222em

    &:last-child
      margin-bottom 0

  a
    color rgba($primary, 1)
    text-decoration underline

    &:hover
      text-decoration none
      color rgba($primary, 1)

  ul
  ol
    list-style-position outside

  ul
  ul li
    list-style-type disc

  ol
    counter-reset list-counter

    li
      counter-increment list-counter
      position relative
      margin-bottom 1.3em
      padding-left 24px

      &:before
        content counter(list-counter)
        color $greyDark
        position absolute
        left 0
        top 0

  ol
  ol li
    list-style-type decimal

  ul, ol
    list-style none
    text-transform none

    li
      list-style none

  ul
    li:before
      content '— '

  iframe
  embed
    max-width 100%

  &:last-child
    ul
    ol
    p
    address
      &:last-child
        margin-bottom 0

.html-block--white
  color $white

.html-block--black
  color $textColorBlack

.html-block--lg
  line-height 1.888889

  ul
  ol
  p
  address
    margin 0 0 2.333333em

    &:last-child
      margin-bottom 0

  +fbp(xs)
    // line-height 1.333333

    ul
    ol
    p
    address
      margin 0 0 1.333333em

.inline-block
  display inline-block

a:focus
button:focus
input:focus
textarea:focus
  outline none

.page-cont
  width 100%

.container
  width 100%
  max-width 1210px
  padding-left 15px
  padding-right 15px
  margin 0 auto

  +fbp(md)
    max-width 1000px

  +fbp(sm)
    max-width 740px


::selection
  background-color lighten(rgba($primary, 0.3), 5) !important

.text-white
  color $white

.text-center
  text-align center
